KILL(1)

NAME
kill - terminate or signal a process

SYNOPSIS
kill [-signal_name] pid ...
kill [-signal_number] pid ...
kill [-l]

DESCRIPTION
The kill utility sends the TERM signal to the processes specified by the pid operand(s).

Only the super-user may send signals to other users' processes.

The options are as follows:

-l  List the signal names.

-signal_name
    A symbolic signal name specifying the signal to be sent instead of the default TERM. The -l option displays the signal names.

-signal_number
    A non-negative decimal integer, specifying the signal to be sent instead of the default TERM.

Some of the more commonly used signals:
-1 -1 (super-user broadcast to all processes, or user broadcast
to user's processes)
0 0 (sh(1) only, signals all members of process group)
2 INT (interrupt)
3 QUIT (quit)
6 ABRT (abort)
9 KILL (non-catchable, non-ignorable kill)
14 ALRM (alarm clock)
15 TERM (software termination signal)

Kill is a built-in to csh(1); it allows job specifiers of the form ``%...'' as arguments so process id's are not as often used as kill arguments. See csh(1) for details.

SEE ALSO
csh(1), ps(1), kill(2), sigvec(2)

HISTORY
A kill command appeared in AT&T UNIX.

BUGS
A replacement for the command “kill 0” for csh(1) users should be provided.